ViEmu/VS: vi-vim editing
for Microsoft Visual Studio

Older ViEmu versions

Starting with ViEmu 2.5, new releases require a valid support contract. You need a valid support contract at the release date of each new version for your license to work with it. Support renewals are valid for a year after they are purchased. Check your license, which you probably received by email, or which you can always check at the Symnum customer portal, for your support expiry date.

If you don't renew your support, you can still use your license for older versions of the ViEmu products. Here are the links to download those older versions, together with the date of support required for your license to be valid with them:


ViEmu for Visual Studio 2002-2008
(for VS 2002/2003/2005/2008):


ViEmu for Visual Studio 2010/12:

  • ViEmu/VS2010 2.5.6 (works with licenses with active support until July 1, 2010 or later):
    ViEmuVS2010-2.5.6.vsix
  • ViEmu/VS2010 2.5.7 (works with licenses with active support until August 9, 2010 or later):
    ViEmuVS2010-2.5.7.vsix
  • ViEmu/VS2010 2.5.14 (works with licenses with active support until January 14, 2011 or later):
    ViEmuVS2010-2.5.14.vsix
  • ViEmu/VS2010 3.0.13 (works with licenses with active support until June 18, 2012 or later):
    ViEmuVS2010-3.0.13.vsix
  • ViEmu/VS2010 3.5.0 (works with licenses with active support until June 10, 2015 or later):
    ViEmuVS2010-3.5.0.vsix
  • ViEmu/VS2010 3.6.0 (works with licenses with active support until August 15, 2015 or later):
    ViEmuVS2010-3.6.0.vsix

ViEmu for Visual Studio 2013/15:

  • ViEmu/VS2013 3.2.1 (works with licenses with active support until January 1, 2014 or later):
    ViEmuVS2013-3.2.1.vsix
  • ViEmu/VS2013 3.5.0 (works with licenses with active support until June 10, 2015 or later):
    ViEmuVS2013-3.5.0.vsix
  • ViEmu/VS2013-VS2015 3.6.0 (works with licenses with active support until August 15, 2015 or later):
    ViEmuVS2013-2015-3.6.0.vsix

ViEmu for Xcode:


ViEmu for SQL Server:


ViEmu for Word and Outlook: